%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global veryear 2007
%global vermon  10
%global verday  18
%global namesq3 libsq3
%global name1   libsqlite3x
Name:           mingw32-%{name1}
Version:        %{veryear}%{vermon}%{verday}
Release:        7%{?dist}
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine

Group:          System Environment/Libraries
License:        zlib
URL:            http://www.wanderinghorse.net/computing/sqlite/
Source0:        http://www.wanderinghorse.net/computing/sqlite/%{name1}-%{veryear}.%{vermon}.%{verday}.tar.gz
Source1:        libsqlite3x-autotools.tar.gz
Patch1:         libsqlite3x-prep.patch
Patch2:         libsqlite3x-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-sqlite dos2unix automake libtool
BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

%description
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sqlite3x is a C++ wrapper API for working
with sqlite3 databases that uses exceptions.


%package -n     mingw32-%{namesq3}
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine
Group:          Development/Libraries
Requires:       mingw32-%{namesq3} = %{version}-%{release}

%description -n mingw32-%{namesq3}
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sq3 is a C++ wrapper API for working
with sqlite3 databases that does not use exceptions.


%prep
%setup -q -n %{name1}-%{veryear}.%{vermon}.%{verday} -a 1
dos2unix *.hpp *.cpp
%patch1 -p0 -b .prep
%patch2 -p0 -b .incl
aclocal
libtoolize -f
autoheader
autoconf
automake -a -c
%{_mingw32_configure} --disable-static
iconv -f iso8859-1 -t utf-8  < README > R
mv R README

%build
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS README
%{_mingw32_bindir}/libsqlite3x-1.dll
%{_mingw32_includedir}/sqlite3x
%{_mingw32_libdir}/libsqlite3x.dll.a
%{_mingw32_libdir}/libsqlite3x.la
%{_mingw32_libdir}/pkgconfig/libsqlite3x.pc

%files -n mingw32-%{namesq3}
%defattr(-,root,root,-)
%doc AUTHORS README
%{_mingw32_bindir}/libsq3-1.dll
%{_mingw32_includedir}/sq3
%{_mingw32_libdir}/libsq3.dll.a
%{_mingw32_libdir}/libsq3.la
%{_mingw32_libdir}/pkgconfig/libsq3.pc

%changelog
* Tue Apr 28 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-7
- reorder BR/BA
- remove (duplicate) docs
- change License tag

* Mon Apr 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-6
- add missing BR

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-5
- unify main and devel subpackage

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20071018-4
- copy from native package
